from scrapeghost import SchemaScraper

schema = {
    "public_records_email": "email",
    "public_records_address": "str",
    "public_records_phone": "555-555-5555",
    "public_records_fax": "555-555-5555",
    "public_records_web": "url",
    "general_contact_phone": "555-555-5555",
    "general_contact_address": "str",
    "foia_guide": "url",
    "public_reading_room": "url",
    "agency_logo": "url",
}
extra_instructions = """
The fields that begin with public_records should refer to contact information specific to FOIA/Public Information/Freedom of Information requests.
The fields that begin with general_contact should refer to contact information for the agency in general.
If a field is not found in the HTML, leave it as null in the JSON.
"""

# create a scrapeghost
ghost = SchemaScraper(
    schema=schema,
    models=["gpt-3.5-turbo-16k"],
    # extra_preprocessors=[],
    extra_instructions=extra_instructions,
    max_cost=10,
)
